
#include <stdio.h>
#include <stdlib.h>


// Beispiele zum Einsteigen ins Programm:
// int main() {}
// int main(void) {}
// int main(int argc, char **argv)  {}
// int main(int argc, char *argv[]) {}

// Mehr Infos hier:
// http://en.wikipedia.org/wiki/Entry_point#C_and_C.2B.2B


int main(int argc, char *argv[])
{

    // argc beinhaltet die Anzahl der übergebenen Parameter
    // und ist immer >= 1, da der Programmname der erste Parameter ist.
    printf("\n Anzahl Parameter:  %d\n\n", argc);

    // Iteration über das Array argv[], in dem die Parameter gespeichert sind.
    int i = 0;
    for(; i < argc; ++i)
    {
        printf(" Eintrag %d:  '%s'\n", i, argv[i]);
    }

    printf("\n");
    return EXIT_SUCCESS;    // optional!
}
